package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class ExampleMain4 {

    public static void main(String[] args) {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test1");
        try {
            EntityManager em = emf.createEntityManager();

            EntityB entityB = new EntityB();
            entityB.setStringB("testString");

            EntityA entityA = new EntityA();
            entityA.setEntityB(entityB);

            em.getTransaction().begin();
            em.persist(entityA);
            em.getTransaction().commit();
            ExampleMain.nativeQuery(em, "select * from EntityA");
            ExampleMain.nativeQuery(em, "select * from EntityB");
        }
        finally {
            emf.close();
        }
    }
}